#### D.7.2.3 actionIsProper

Procedure from library `ainvar.lib` (see ainvar_lib).

Usage:
  actionIsProper(m); m matrix

Assume:
  m is a nx1 matrix, where n = number of variables of the basering

Return:
  int = 1, if the action defined by m is proper, 0 if not

Note:
  m defines a group action which is the exponential of the vector field m[1,1]*d/dx(1) +...+ m[1,n]*d/dx(n)

Example:

    LIB "ainvar.lib";
    ring rf=0,x(1..7),dp;
    matrix m[7][1];
    m[4,1]=x(1)^3;
    m[5,1]=x(2)^3;
    m[6,1]=x(3)^3;
    m[7,1]=(x(1)*x(2)*x(3))^2;
    actionIsProper(m);
    ==> 0
    ring rd=0,x(1..5),dp;
    matrix m[5][1];
    m[3,1]=x(1);
    m[4,1]=x(2);
    m[5,1]=1+x(1)*x(4)^2;
    actionIsProper(m);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.